package exceptions;

/* ExceptionExample.java
 * Author Michael Claudius, Roskilde Computer Science College
 * Version 1.0. 2003.04.28
 * Copyright 2003 by Michael Claudius
 * All rights reserved ?
*/

public class ExceptionExample {

  public static void main(String[] args) {

	  int children = 1;    // problem input, default is 0
	  String numStr = Keyboard.readString();

    try {
		children = Integer.parseInt(numStr);
		int oneShare = 100 / children;
		System.out.println("Each child's share is " +
                         oneShare + " percent");
    }

    catch (ArithmeticException ex) {
		System.out.println(ex.getMessage());
		ex.printStackTrace();
	}

    catch (NumberFormatException ex) {
    	System.err.println("Error in integer format! Try again -> ");
    	ex.printStackTrace();
    }

    catch (Exception ex) {
		// Handle all other exception types.
		System.out.println(ex.getMessage());
		ex.printStackTrace();
    }

    finally {
		//no matter what this is executed!!
    	System.out.println("Number of children was " + children);
    } //end of try catch

  }// main

}// class

